List Extractors
curl --request GET \
--url https://api.doctly.ai/api/v1/e \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.doctly.ai/api/v1/e"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.doctly.ai/api/v1/e', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "987fcdeb-a654-3210-9876-543210987654",
"name": "Invoice Extractor",
"slug": "invoice-extractor",
"description": "Extract invoice details including vendor, line items, and totals",
"cost_type": "PER_PAGE",
"cost_credits": 5
},
{
"id": "abc12345-e89b-12d3-a456-426614174000",
"name": "Resume Parser",
"slug": "resume-parser",
"description": "Extract candidate information from resumes",
"cost_type": "PER_DOCUMENT",
"cost_credits": 10
},
{
"id": "def67890-e89b-12d3-a456-426614174000",
"name": "Bank Statement Analyzer",
"slug": "bank-statement",
"description": "Extract transactions and account details from bank statements",
"cost_type": "PER_PAGE",
"cost_credits": 8
}
],
"count": 3
}
{
"data": [],
"count": 0
}
{
"detail": "Invalid or missing API key"
}
Extractors
List Extractors
Retrieve a list of all extractors available in your account.
List Extractors
List all active extractors available to your account. This includes extractors you’ve created and any extractors installed from the catalog.
Request
Headers
Bearer token authentication. Example:
Bearer YOUR_API_KEYQuery Parameters
Number of records to skip for pagination
Maximum number of records to return
Example Request
curl https://api.doctly.ai/api/v1/e \
-H "Authorization: Bearer YOUR_API_KEY"
import requests
headers = {"Authorization": "Bearer YOUR_API_KEY"}
response = requests.get(
"https://api.doctly.ai/api/v1/e",
headers=headers
)
data = response.json()
print(f"Found {data['count']} extractors")
for extractor in data['data']:
print(f" {extractor['name']} ({extractor['slug']})")
const response = await fetch('https://api.doctly.ai/api/v1/e', {
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
});
const data = await response.json();
console.log(`Found ${data.count} extractors`);
data.data.forEach(extractor => {
console.log(` ${extractor.name} (${extractor.slug})`);
});
Response
Array of extractor objects
Show Extractor Object
Show Extractor Object
Unique identifier (UUID) for the extractor
Display name of the extractor
URL-friendly identifier used in API paths
Description of what the extractor does
Pricing model:
PER_PAGE or PER_DOCUMENTCredits charged per page or per document
Total number of extractors available
Example Responses
{
"data": [
{
"id": "987fcdeb-a654-3210-9876-543210987654",
"name": "Invoice Extractor",
"slug": "invoice-extractor",
"description": "Extract invoice details including vendor, line items, and totals",
"cost_type": "PER_PAGE",
"cost_credits": 5
},
{
"id": "abc12345-e89b-12d3-a456-426614174000",
"name": "Resume Parser",
"slug": "resume-parser",
"description": "Extract candidate information from resumes",
"cost_type": "PER_DOCUMENT",
"cost_credits": 10
},
{
"id": "def67890-e89b-12d3-a456-426614174000",
"name": "Bank Statement Analyzer",
"slug": "bank-statement",
"description": "Extract transactions and account details from bank statements",
"cost_type": "PER_PAGE",
"cost_credits": 8
}
],
"count": 3
}
{
"data": [],
"count": 0
}
{
"detail": "Invalid or missing API key"
}
Pricing Models
Extractors use one of two pricing models:| Cost Type | Description |
|---|---|
PER_PAGE | Credits charged for each page in the document |
PER_DOCUMENT | Flat credit charge per document regardless of page count |
Authorizations
API key authentication using Bearer token
Query Parameters
Number of records to skip
Maximum number of records to return
⌘I

